rhel-6-server-ose-2.1-infra-rpms is not a valid repo ID

Solution Unverified - Updated -

Issue

  • I'm installing OSE. I tried oo-install and the openshift.sh script. Both erroro out with the same message:
+ echo 'OpenShift: Registering subscription from pool id POOL_ID'
OpenShift: Registering subscription from pool id POOL_ID
+ subscription-manager attach --pool POOL_ID
Successfully attached a subscription for: OpenShift Enterprise, Standard (1-2 Sockets)
+ need_node_repo
+ false
+ subscription-manager repos --enable=rhel-6-server-ose-2.1-infra-rpms
Error: rhel-6-server-ose-2.1-infra-rpms is not a valid repo ID. Use --list option to see valid repos.
+ abort_install

Environment

  • OpenShift Enterprise 2.1

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In